View Issue Details

IDProjectCategoryView StatusLast Update
0009515LazarusLCLpublic2009-06-13 10:07
ReporterLuis Rodrigues Assigned ToVincent Snijders  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version0.9.23 (SVN) 
Target Version1.0.0 
Summary0009515: In Combobox Click and Change happen at the same time in Delphi
DescriptionTComboBox in Delphi only triggers the Click event when a item in the combobox
is selected. So it triggers Click followed by Change.

I Think LCL method is better since click is triggered when a user clicks and change when the content changes.

If you trying for full Delphi compatibility this should be fixed, if not it shouldn't :)
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Vincent Snijders

2007-08-28 14:09

manager   ~0014300

We will think about that.

Vincent Snijders

2008-07-22 07:21

manager   ~0020855

I think with the changes in r15831 the behavior of onclick and onchanged need no further change.

Issue History

Date Modified Username Field Change
2007-08-28 14:03 Luis Rodrigues New Issue
2007-08-28 14:03 Luis Rodrigues Widgetset => Win32
2007-08-28 14:09 Vincent Snijders LazTarget => 1.0
2007-08-28 14:09 Vincent Snijders Note Added: 0014300
2007-08-28 14:09 Vincent Snijders Status new => acknowledged
2008-04-24 07:57 Vincent Snijders Target Version => 1.0.0
2008-07-22 07:21 Vincent Snijders Status acknowledged => resolved
2008-07-22 07:21 Vincent Snijders Resolution open => no change required
2008-07-22 07:21 Vincent Snijders Assigned To => Vincent Snijders
2008-07-22 07:21 Vincent Snijders Note Added: 0020855
2009-06-13 10:07 Marc Weustink Status resolved => closed